package mesure;

import java.util.ArrayList;

public class Relation {

	private ArrayList<Ways> ways;
	private ArrayList<Tag_OSM> tags;
	
	private boolean visible = true;
	private String action = "modify";
	private int id ;
	public Relation(int i){
		
		ways = new ArrayList<Ways>();
		tags = new ArrayList<Tag_OSM>();
		id = i ;
	}
	
	public ArrayList<Node> getNodes(){
		ArrayList<Node> l_nodes = new ArrayList<Node>();
		
		for(int i = 0 ; i<ways.size();i++){
			for(int j = 0 ; j<ways.get(i).getNodes().size();j++)
			{
				if(!l_nodes.contains(ways.get(i).getNodes().get(j)))
				{
					l_nodes.add(ways.get(i).getNodes().get(j));
				}
			}
		}
		return l_nodes ;
		
	}
	
	public ArrayList<Ways> getWays(){
		return ways;
	}
	
	public void addWay(Ways w){
	ways.add(w);
	}
	
	public void addTags(Tag_OSM t)
	{
	 tags.add(t);
	}
	
	/**
	 * @return the tags
	 */
	public ArrayList<Tag_OSM> getTags() {
		return tags;
	}

	/**
	 * @param tags the tags to set
	 */
	public void setTags(ArrayList<Tag_OSM> tags) {
		this.tags = tags;
	}

	/**
	 * @return the visible
	 */
	public boolean isVisible() {
		return visible;
	}

	/**
	 * @param visible the visible to set
	 */
	public void setVisible(boolean visible) {
		this.visible = visible;
	}

	/**
	 * @return the action
	 */
	public String getAction() {
		return action;
	}

	/**
	 * @param action the action to set
	 */
	public void setAction(String action) {
		this.action = action;
	}

	/**
	 * @return the id
	 */
	public int getId() {
		return id;
	}

	/**
	 * @param id the id to set
	 */
	public void setId(int id) {
		this.id = id;
	}

	/**
	 * @param ways the ways to set
	 */
	public void setWays(ArrayList<Ways> ways) {
		this.ways = ways;
	}


}
