package mesure;

import java.util.ArrayList;
import java.util.List;


public class Ways {
	private boolean visible = true;
	private String action = "modify";
	private int id ;
	ArrayList<Tag_OSM> tags ;
	ArrayList<Node> nodesList;
	
	public Ways(int i){
		tags = new ArrayList<Tag_OSM>();
		nodesList = new ArrayList<Node>();
		id = i ;
	}
	
	/**
	 * @return the visible
	 */
	public boolean isVisible() {
		return visible;
	}

	/**
	 * @param visible the visible to set
	 */
	public void setVisible(boolean visible) {
		this.visible = visible;
	}

	/**
	 * @return the action
	 */
	public String getAction() {
		return action;
	}

	/**
	 * @param action the action to set
	 */
	public void setAction(String action) {
		this.action = action;
	}

	/**
	 * @return the id
	 */
	public int getId() {
		return id;
	}

	/**
	 * @param id the id to set
	 */
	public void setId(int id) {
		this.id = id;
	}

	/**
	 * @return the tags
	 */
	public ArrayList<Tag_OSM> getTags() {
		return tags;
	}

	/**
	 * @param tags the tags to set
	 */
	public void setTags(ArrayList<Tag_OSM> tags) {
		this.tags = tags;
	}

	/**
	 * @return the nodesList
	 */
	public ArrayList<Node> getNodesList() {
		return nodesList;
	}

	/**
	 * @param nodesList the nodesList to set
	 */
	public void setNodesList(ArrayList<Node> nodesList) {
		this.nodesList = nodesList;
	}
	/**
	 * 
	 * @return all node of the ways
	 */
	public ArrayList<Node> getNodes(){
		return nodesList;
	}
	/**
	 * Add a node in the way
	 * @param n 
	 */
	public void addNode(Node n){
		nodesList.add(n);
	}
	/**
	 * Add a Tag in the way
	 * @param t
	 */
	public void addTags(Tag_OSM t)
	{
	 tags.add(t);
	}
}
