package userinterface;

import java.io.File;
import java.io.IOException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.xmlpull.v1.XmlPullParserException;

import com.engine.Engine;
import com.mapquest.android.maps.GeoPoint;
import com.mapquest.android.maps.OverlayItem;

import mesure.Coordonnee;
import mesure.Node;
import mesure.NodeP;
import android.annotation.SuppressLint;
import android.app.AlertDialog;
import android.app.Fragment;
import android.app.ListFragment;
import android.content.DialogInterface;
import android.os.Bundle;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.AdapterView.OnItemLongClickListener;
import android.widget.AdapterView.OnItemSelectedListener;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.Toast;


@SuppressLint("ValidFragment")
public class F_POI extends ListFragment {

	private String name ;
	private int id;
	private List<NodeP> list_node;
	private HashMap<Integer,NodeP> m;
	private String[] values; 
	private Engine e ;
	private ArrayAdapter<String> adapter ;
	
	public F_POI(String name,int id,Engine en) {
		this.name = name;
		this.id = id;
		e = en;
	
	}
	
	  public void onActivityCreated(Bundle savedInstanceState) {
		  super.onActivityCreated(savedInstanceState);
		  list_node = e.getSavedNode();

		  Log.d("taille", ""+list_node.size());
		  adapter = new ArrayAdapter<String>(getActivity(),android.R.layout.simple_list_item_1);
		  for(int i=0; i<list_node.size(); i++){
			adapter.add(list_node.get(i).getTags().get(0).getType() + ", " + list_node.get(i).getTags().get(0).getValue());
		  }
		  setListAdapter(adapter);

          OnItemLongClickListener listener = new OnItemLongClickListener() {
	            
	        	public boolean onItemLongClick(final AdapterView<?> l, final View v, final int position, long id) {
					  AlertDialog.Builder builder = new AlertDialog.Builder(getActivity());
				      builder.setMessage("Etes vous sr de supprimer : " + l.getItemAtPosition(position));
				      builder.setPositiveButton("OK",new DialogInterface.OnClickListener(){

							@Override
						public void onClick(DialogInterface arg0, int arg1) {
							list_node.remove(position);
							adapter.remove(adapter.getItem(position));
							adapter.notifyDataSetChanged();
						}}); 
				      builder.setNegativeButton("Cancel", new DialogInterface.OnClickListener() {
				        public void onClick(DialogInterface dialog, int id) {
				                   }
				        });
				      builder.create();
				      builder.show();
				      return true;
				}	    
				
	           
	        };
	        
	        OnItemClickListener listener2 = new OnItemClickListener() {
	        	public void onItemClick(AdapterView<?> l, View arg1, final int position, long arg3) {
					// TODO Auto-generated method stub
					  AlertDialog.Builder builder = new AlertDialog.Builder(getActivity());
				      builder.setMessage("Vous avez cliqu sur : " + l.getItemAtPosition(position));
				      builder.setPositiveButton("OK",new DialogInterface.OnClickListener(){
	
							@Override
						public void onClick(DialogInterface arg0, int arg1) {
							NodeP n = list_node.get(position);
							GeoPoint geopoint = new GeoPoint(n.getCoordonnee().get_lat(),n.getCoordonnee().get_long());
	                		OverlayItem o = new OverlayItem(geopoint, n.getName(), "");
	                		e.getMainActivity().getOverlay().addItem(o);
							e.init(list_node.get(position));
						}}); 
				      builder.setNegativeButton("Cancel", new DialogInterface.OnClickListener() {
				        public void onClick(DialogInterface dialog, int id) {
				                   }
				        });
				      builder.create();
				      builder.show();
				}
	        };

	        getListView().setOnItemClickListener(listener2);
	        getListView().setOnItemLongClickListener(listener);
	  }
	  
	  /**
	   * 
	   * @return the fragment's name
	   */
    public String getName() {
		return name;
    }
} 
