package com.engine;

import sensor.Compass;
import sensor.Gyroscope;
import android.app.ProgressDialog;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

public class InDoorMode extends MainActivity{
Engine e;

	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.indoor_view);

		Button start = (Button)findViewById(R.id.IStart);
		Button stop = (Button)findViewById(R.id.IStop);
		Button retour = (Button)findViewById(R.id.Iretour);
		Button gettour = (Button)findViewById(R.id.GETTour);
		Button poi = (Button)findViewById(R.id.IPOI);
		gyroscope = (TextView)findViewById(R.id.Gyroscope);
		boussole = (TextView)findViewById(R.id.Boussole);
		
		e = new Engine(this, savedInstanceState);
		start.setOnClickListener(new View.OnClickListener() {
        
		public void onClick(View v) {
        	e.IndoorMode();
        }	        

    });

	
	gettour.setOnClickListener(new View.OnClickListener() {
        public void onClick(View v) {
    		e.getTour();
        }
    });
	
	retour.setOnClickListener(new View.OnClickListener() {

        public void onClick(View v) {
           	e.IndoorModeStop();
        	Intent intent = new Intent(InDoorMode.this, MainActivity.class);
        	startActivity(intent);
        	finish();
        }
    });
	
	stop.setOnClickListener(new View.OnClickListener() {
        public void onClick(View v) {
        	e.IndoorModeStop();
        }
    });
	
	poi.setOnClickListener(new View.OnClickListener() {
        public void onClick(View v) {
        	e.IndoorSavedPOI();
        }
    });
	
	
	
	
}
	protected void onPause(){
		super.onPause();
	}
	
	protected void Stop(){
		//stop();
		super.onStop();
	}
	
	protected void onResume(){
		//stop();
		super.onResume();
	}
	
	protected void onDestroy(){
		//stop();
		super.onDestroy();
	}
}
