package mesure;

import java.util.ArrayList;
import java.util.List;

public class NodeP extends Node{
	ArrayList<Tag_OSM> tags ;
	public NodeP(int i,String name,Coordonnee c, Type_Tag t){
		super(i,c);
		tags = new ArrayList();
		tags.add(new Tag_OSM(name, t));
	}
	
	/**
	 * @return the tags
	 */
	public List<Tag_OSM> getTags() {
		return tags;
	}

	/**
	 * @param tags the tags to set
	 */
	public void setTags(ArrayList<Tag_OSM> tags) {
		this.tags = tags;
	}
	
	/**
	 * 
	 * @param t Tag_OSM
	 */
	public void addTags(Tag_OSM t)
	{
	 tags.add(t);
	}
	
	/**
	 * 	1 er TAG toujours le nom du noeud
	 * @return node name 
	 */
	public String getName(){
		return tags.get(0).value;
	}
	@Override
	public String toString(){
		return tags.get(0).value;
	}
}
