package userinterface;

import com.engine.Engine;
import com.engine.R;
import com.engine.R.id;
import com.engine.R.layout;

import android.annotation.SuppressLint;
import android.app.AlertDialog;
import android.app.Fragment;
import android.content.DialogInterface;
import android.os.Bundle;
import android.text.InputType;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.EditText;

@SuppressLint("ValidFragment")
public class F_GPS extends Fragment{
	
	private String name ;
	private String startpoint;
	private int id;
	private Engine e ;
	public F_GPS(String name,int id,Engine en) {
		this.name = name;
		this.id = id;
		e = en;
	}

    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
    	
        View v = inflater.inflate(R.layout.f_gps, container, false);
        Button detection = (Button)v.findViewById(R.id.detection);
		AlertDialog.Builder builder = new AlertDialog.Builder(e.getMainActivity());
    	builder.setTitle("Nom du point de dpart");

    	// Set up the input
    	final EditText input = new EditText(e.getMainActivity());
    	// Specify the type of input expected; this, for example, sets the input as a password, and will mask the text
    	input.setInputType(InputType.TYPE_CLASS_TEXT);
    	builder.setView(input);
    	
    	// Set up the buttons
    	builder.setPositiveButton("OK", new DialogInterface.OnClickListener() { 
    	    @Override
    	    public void onClick(DialogInterface dialog, int which) {
            	
            	startpoint = input.getText().toString();
    	       	return;
    	    }
    	});
    	builder.setNegativeButton("Cancel", new DialogInterface.OnClickListener() {
    	    @Override
    	    public void onClick(DialogInterface dialog, int which) {
    	        dialog.cancel();
    	        return;
    	    }
    	});
    	builder.create();
    	builder.show();
        
		detection.setOnClickListener(new View.OnClickListener() {
            public void onClick(View v) {
            	
            	e.initGPS(startpoint);
            }
        });

		
    	return v;
    }

    

	/**
	 * 
	 * @param s
	 */
    public void setEnable(String s){
    	startpoint = s ;
    }
    /**
     * 
     * @return the fragment's name
     */
    public String getName() {
		return name;
    }
	

}
