package userinterface;

import java.util.List;

import com.engine.Engine;
import com.engine.R;
import com.engine.R.id;
import com.engine.R.layout;
import com.mapquest.android.maps.GeoPoint;
import com.mapquest.android.maps.OverlayItem;

import mesure.Coordonnee;
import mesure.NodeP;
import android.annotation.SuppressLint;
import android.app.AlertDialog;
import android.app.Fragment;
import android.content.DialogInterface;
import android.os.Bundle;
import android.text.InputType;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

@SuppressLint("ValidFragment")
public class F_manual extends Fragment{

	private String name ;
	private int id;
	private Engine e ;
	private String name_st = "StartPoint";
	private float latitude;
	private float longitude;
	
	
	public F_manual(String name,int id,Engine en) {
		this.name = name;
		this.id = id;
		e = en;
		
	}
	
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
    	
        View v = inflater.inflate(R.layout.f_manual, container, false);
        final EditText e_longitude = (EditText)v.findViewById(R.id.v_longitude);
        final EditText e_latitude = (EditText)v.findViewById(R.id.v_latitude);
        Button valid = (Button)v.findViewById(R.id.Valid);
        
    	e_longitude.setText("");
    	e_latitude.setText("");
    	
        List<NodeP> node_p = e.getSavedNode();
        if(node_p.size()>0){
        	e_longitude.setText(""+node_p.get(node_p.size()-1).getCoordonnee().get_long());
        	e_latitude.setText(""+node_p.get(node_p.size()-1).getCoordonnee().get_lat());
        }
		valid.setOnClickListener(new View.OnClickListener() {
            public void onClick(View v) {
                longitude = Float.valueOf(e_longitude.getText().toString());
                latitude = Float.valueOf(e_latitude.getText().toString());
               
            	//Test longitude latitude correcte, on teste l'erreur
            	if(longitude > 180 || longitude < 0){
            		e_longitude.setText("");
            		
                if(latitude > 90 || latitude < -90){
                	e_latitude.setText("");
                }
                //String text = longitude.getText();
            	else{
            		
            	}
               	}            	
            	getDialogText("Nom du point de dpart");

            }
        });
		
    	return v;
    }    
    
    /**
     * 
     * @return the fragment's name
     */
    public String getName() {
		return name;
    }
	
    /**
     * Generate a AlerDialog and save the name of point
     * @param title
     */
	private void getDialogText(String title) {
		
		AlertDialog.Builder builder = new AlertDialog.Builder(e.getMainActivity());
    	builder.setTitle(title);

    	// Set up the input
    	final EditText input = new EditText(e.getMainActivity());
    	// Specify the type of input expected; this, for example, sets the input as a password, and will mask the text
    	input.setInputType(InputType.TYPE_CLASS_TEXT);
    	builder.setView(input);

    	// Set up the buttons
    	builder.setPositiveButton("OK", new DialogInterface.OnClickListener() { 
    	    @Override
    	    public void onClick(DialogInterface dialog, int which) {
            	GeoPoint userlast = new GeoPoint( latitude,  longitude);
        		OverlayItem o = new OverlayItem(userlast, input.getText().toString(), "");
        		e.getMainActivity().getOverlay().addItem(o);
            	e.init(new Coordonnee( userlast.getLatitude() , userlast.getLongitude()),  input.getText().toString());
    	       	return;
    	    }
    	});
    	builder.setNegativeButton("Cancel", new DialogInterface.OnClickListener() {
    	    @Override
    	    public void onClick(DialogInterface dialog, int which) {
    	        dialog.cancel();
    	        return;
    	    }
    	});
    	builder.create();
    	builder.show();

	}

}
