package com.engine;

import android.app.Activity;
import android.app.Fragment;
import android.app.ProgressDialog;
import android.content.Intent;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.Window;
import android.widget.Button;
import android.widget.TextView;

public class OutDoorMode extends MainActivity {
	Engine e;
	
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.outdoor_view);
		
		e = new Engine(this, savedInstanceState);
		Button start = (Button)findViewById(R.id.OStart);
		Button stop = (Button)findViewById(R.id.OStop);
		Button retour = (Button)findViewById(R.id.Oretour);
		Button poi =(Button)findViewById(R.id.OPOI);
		start.setOnClickListener(new View.OnClickListener() {
            public void onClick(View v) {
        		progressDialog.show();
        		progressDialog.setTitle("Please Wait");
        		progressDialog.setMessage("Search GPS position...");
        		progressDialog.setCancelable(false);
        		progressDialog.setProgress(0);
        		progressDialog.setProgressStyle(ProgressDialog.STYLE_SPINNER);
            	e.OutdoorMode();
            }
        });
		
		stop.setOnClickListener(new View.OnClickListener() {
            public void onClick(View v) {
        		e.OutdoorModeStop();
            }
        });
		
		poi.setOnClickListener(new View.OnClickListener() {
            public void onClick(View v) {
        		e.OutdoorSavedPOI();
            }
        });
		retour.setOnClickListener(new View.OnClickListener() {
            public void onClick(View v) {
            	Intent intent = new Intent(OutDoorMode.this, MainActivity.class);
            	startActivity(intent);
            	
            	finish();
            }
        });


	}
	

}
